package nc.vo.baseapp.image;

import nc.vo.pub.SuperVO;

/**
 * 影像采集发票表体中间表信息
 * @author 
 * @date 2021-04-23
 */
public class ImageInvoiceBVO extends SuperVO{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * 表头主键
	 */
	private String pk_invoice_h;
	
	/**
	 * 表体主键
	 */
	private String pk_invoice_b;
	
	/**
	 * 货物及服务名称
	 */
	private String cargoName;
	
	/**
	 * 型号规格
	 */
	private String itemSpec;
	
	/**
	 * 数量单位
	 */
	private String quantityUnit;
	
	/**
	 * 数量
	 */
	private String quantity;
	
	/**
	 * 税率
	 */
	private String taxRate;
	
	/**
	 * 单价
	 */
	private String unitPrice;
	
	/**
	 * 不含税金额
	 */
	private String amountWithoutTax;
	
	/**
	 * 税额
	 */
	private String taxAmount;
	
	/**
	 * 含税金额
	 */
	private String amountWithTax;
	
	/**
	 * 通行费类型
	 */
	private String type;
	
	/**
	 * 通行日期起
	 */
	private String currentDateStart;
	
	/**
	 * 通行日期止
	 */
	private String currentDateEnd;
	
	/**
	 * 车牌号
	 */
	private String licensePlateNum;
	
	/**
	 * 零税率标志
	 * 		 0-非0税率（默认） 1-出口退税  2-免税  3-不征税   4-普通0税率
	 */
	private int taxRateType;
	
	/**
	 * 时间戳
	 */
	private String ts;
	
	/**
	 * 删除标识
	 */
	private int dr = 0;
	
	/**
	 * 自定义项1
	 */
	private String def1; 

	/**
	 * 自定义项2
	 */
	private String def2; 

	/**
	 * 自定义项3
	 */
	private String def3; 

	/**
	 * 自定义项4
	 */
	private String def4; 

	/**
	 * 自定义项5
	 */
	private String def5;

	/**
	 * 自定义项6
	 */
	private String def6; 

	/**
	 * 自定义项7
	 */
	private String def7; 

	/**
	 * 自定义项8
	 */
	private String def8; 

	/**
	 * 自定义项9
	 */
	private String def9; 

	/**
	 * 自定义项10
	 */
	private String def10;

	public String getPk_invoice_h() {
		return pk_invoice_h;
	}

	public void setPk_invoice_h(String pk_invoice_h) {
		this.pk_invoice_h = pk_invoice_h;
	}

	public String getPk_invoice_b() {
		return pk_invoice_b;
	}

	public void setPk_invoice_b(String pk_invoice_b) {
		this.pk_invoice_b = pk_invoice_b;
	}

	public String getCargoName() {
		return cargoName;
	}

	public void setCargoName(String cargoName) {
		this.cargoName = cargoName;
	}

	public String getItemSpec() {
		return itemSpec;
	}

	public void setItemSpec(String itemSpec) {
		this.itemSpec = itemSpec;
	}

	public String getQuantityUnit() {
		return quantityUnit;
	}

	public void setQuantityUnit(String quantityUnit) {
		this.quantityUnit = quantityUnit;
	}

	public String getQuantity() {
		return quantity;
	}

	public void setQuantity(String quantity) {
		this.quantity = quantity;
	}

	public String getTaxRate() {
		return taxRate;
	}

	public void setTaxRate(String taxRate) {
		this.taxRate = taxRate;
	}

	public String getUnitPrice() {
		return unitPrice;
	}

	public void setUnitPrice(String unitPrice) {
		this.unitPrice = unitPrice;
	}

	public String getAmountWithoutTax() {
		return amountWithoutTax;
	}

	public void setAmountWithoutTax(String amountWithoutTax) {
		this.amountWithoutTax = amountWithoutTax;
	}

	public String getTaxAmount() {
		return taxAmount;
	}

	public void setTaxAmount(String taxAmount) {
		this.taxAmount = taxAmount;
	}

	public String getAmountWithTax() {
		return amountWithTax;
	}

	public void setAmountWithTax(String amountWithTax) {
		this.amountWithTax = amountWithTax;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getCurrentDateStart() {
		return currentDateStart;
	}

	public void setCurrentDateStart(String currentDateStart) {
		this.currentDateStart = currentDateStart;
	}

	public String getCurrentDateEnd() {
		return currentDateEnd;
	}

	public void setCurrentDateEnd(String currentDateEnd) {
		this.currentDateEnd = currentDateEnd;
	}

	public String getLicensePlateNum() {
		return licensePlateNum;
	}

	public void setLicensePlateNum(String licensePlateNum) {
		this.licensePlateNum = licensePlateNum;
	}

	public int getTaxRateType() {
		return taxRateType;
	}

	public void setTaxRateType(int taxRateType) {
		this.taxRateType = taxRateType;
	}

	public String getTs() {
		return ts;
	}

	public void setTs(String ts) {
		this.ts = ts;
	}

	public int getDr() {
		return dr;
	}

	public void setDr(int dr) {
		this.dr = dr;
	}

	public String getDef1() {
		return def1;
	}

	public void setDef1(String def1) {
		this.def1 = def1;
	}

	public String getDef2() {
		return def2;
	}

	public void setDef2(String def2) {
		this.def2 = def2;
	}

	public String getDef3() {
		return def3;
	}

	public void setDef3(String def3) {
		this.def3 = def3;
	}

	public String getDef4() {
		return def4;
	}

	public void setDef4(String def4) {
		this.def4 = def4;
	}

	public String getDef5() {
		return def5;
	}

	public void setDef5(String def5) {
		this.def5 = def5;
	}

	public String getDef6() {
		return def6;
	}

	public void setDef6(String def6) {
		this.def6 = def6;
	}

	public String getDef7() {
		return def7;
	}

	public void setDef7(String def7) {
		this.def7 = def7;
	}

	public String getDef8() {
		return def8;
	}

	public void setDef8(String def8) {
		this.def8 = def8;
	}

	public String getDef9() {
		return def9;
	}

	public void setDef9(String def9) {
		this.def9 = def9;
	}

	public String getDef10() {
		return def10;
	}

	public void setDef10(String def10) {
		this.def10 = def10;
	}

	@Override
	public String getPKFieldName() {
		return "pk_invoice_b";
	}

	@Override
	public String getTableName() {
		return "image_invoice_b";
	} 
	
	

}
